Bug 65084 - Loses table settings
Summary: Loses table settings
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: x86-64 (AMD64) All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-28 15:42 UTC by hunter.croil
Modified: 2015-04-18 17:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
The way the tables should show (only first table fixed) (505.57 KB, application/pdf)
2013-05-28 15:42 UTC, hunter.croil
Details
File with blank tables after reopening saved file (499.07 KB, application/pdf)
2013-05-28 15:43 UTC, hunter.croil
Details
Screenshot showing change in properties (in space to contents) (55.37 KB, image/jpeg)
2013-05-28 15:46 UTC, hunter.croil
Details
Example (5.99 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-10-22 14:33 UTC, hunter.croil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hunter.croil 2013-05-28 15:42:09 UTC
Created attachment 79900 [details]
The way the tables should show (only first table fixed)

I save a file as docx. It has tables in it. When I reopen the file the tables are blank. (See three attachments.) It seems that Libreoffice "automatically" sets an indent in the table properties that has to be reset manually after reopening the file.
Comment 1 hunter.croil 2013-05-28 15:43:15 UTC
Created attachment 79902 [details]
File with blank tables after reopening saved file
Comment 2 hunter.croil 2013-05-28 15:46:51 UTC
Created attachment 79905 [details]
Screenshot showing change in properties (in space to contents)
Comment 3 sophie 2013-10-22 08:53:13 UTC
Hi, Could you attach the original document containing the tables and the data, otherwise it's difficult to reproduce. Thanks - Sophie
Comment 4 hunter.croil 2013-10-22 14:32:19 UTC
Sophie, I attached a sample file. Highlight the top row in the Table. Go to right-click menu, Table. Go to Borders. Note that Spacing to Contents, Left, is 1.97". This has been set by LibreOffice, no by me. I clear the setting, click ok, and the cell contents are visable. I save the document and exit. When I reopen the document, the cell contents are again gone and the above option has been reset to 1.97.

PS: I'm now working with LO 4.1.2.3 and it's the same.
Comment 5 hunter.croil 2013-10-22 14:33:19 UTC
Created attachment 87986 [details]
Example
Comment 6 sophie 2013-10-23 15:37:23 UTC
Thanks for the document, I can reproduce what you described with it on my Ubuntu using Version: 4.1.3.1 Build ID: b42498da0e3f91b17e51b55c8295ec4f8f22087, the settings are not saved. Set the issue on New and change Plateform to all - Sophie
Comment 7 hunter.croil 2013-10-23 16:24:25 UTC
Thanks, Sophie. I'm not familiar enough with LO to understand what you mean by "the settings are not saved. Set the issue on New and change Plateform to all." Where and how do I do this?

Thank you for your help.
Comment 8 Gordo 2015-04-18 17:40:20 UTC
Data is visible in tables.  Spacing to Contents is 0.

Windows Vista 64
Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6

Changed to RESOLVED WORKSFORME.